Synnefo - Bug # 4776

Status: Resolved Priority: High

Author: Sofia Papagiannaki Category: Astakos

Created: 12/18/2013 Assignee: Sofia Papagiannaki
Updated: 01/09/2014 Due date:

Subject: View failure for objects under directory

Description

View fails with "Mismatching redirect uri"

Associated revisions

Revision 6980167 - 12/18/2013 05:24 pm - Sofia Papagiannaki

astakos: Fix view requests for objects whose name contains /

Astakos erroneously made assumptions about the requested redirect_uri format.
This is not anyway desirable and it was also responsible for view failures

under certain circumstances.

This fix implements a clearer check for the requested redirect_uri without

any assumption about the redirect_uri format.

Refs: #4776

History

#1 - 12/18/2013 02:39 pm - Sofia Papagiannaki
- Category changed from Pithos to Astakos

Request for /<pithos prefix>/ui/view/<account>/<container>/<object>
fail with "Mismatching redirect uri"
if the <object> contains /

(the object is under a application/directory or application/folder object)

Astakos fails to parse correctly the requested URI

and hence it considers erroneously that the URI mismatches with the registered redirect urls for the client.

See also http://www.synnefo.org/docs/synnefo/latest/quick-install-admin-guide.html#register-pithos-view-as-an-oauth-2-0-client

#2 - 12/18/2013 02:42 pm - Sofia Papagiannaki

Sofia Papagiannaki wrote:

Request for /<pithos prefix>/ui/view/<account>/<container>/<object>

Request --> Requests

fail with "Mismatching redirect uri"
if the <object> contains /
http://www.synnefo.org/docs/synnefo/latest/quick-install-admin-guide.html#register-pithos-view-as-an-oauth-2-0-client

(the object is under a application/directory or application/folder object)

Astakos fails to parse correctly the requested URI
and hence it considers erroneously that the URI mismatches with the registered redirect urls for the client.
See also http://www.synnefo.org/docs/synnefo/latest/quick-install-admin-quide.html#register-pithos-view-as-an-oauth-2-0-client

#3 - 12/18/2013 05:40 pm - Sofia Papagiannaki

The fix can be found here: commit:698016f7b4fa549b8b0c0alab1283818a7455bb1

#4 - 01/09/2014 01:11 pm - Sofia Papagiannaki
- Status changed from Assigned to Resolved
